/*
* ==============================================================================
*  Name        : Coverflowapplication.h
*  Part of     : Coverflowapp
*  Interface   : 
*  Description : 
*  Version     : 
*  Copyright (c) 2005-2006 Nokia Corporation and/or its subsidiary(-ies).
*  All rights reserved.
*  This component and the accompanying materials are made available
*  under the terms of "Eclipse Public License v1.0"
*  which accompanies this distribution, and is available
*  at the URL "http://www.eclipse.org/legal/epl-v10.html".
* ==============================================================================
*/

#ifndef __COVERFLOWAPPLICATION_H__
#define __COVERFLOWAPPLICATION_H__

// INCLUDES
#include <aknapp.h>

// CLASS DECLARATION

/**
* CCoverflowApplication application class.
* Provides factory to create concrete document object.
* An instance of CCoverflowApplication is the application part of the
* AVKON application framework for the Coverflowapp example application.
*/
class CCoverflowApplication : public CAknApplication
    {
    public: // Functions from base classes

        /**
        * From CApaApplication, AppDllUid.
        * @return Application's UID (KUidCoverflowApp).
        */
        TUid AppDllUid() const;

    protected: // Functions from base classes

        /**
        * From CApaApplication, CreateDocumentL.
        * Creates CCoverflowappDocument document object. The returned
        * pointer in not owned by the CCoverflowApplication object.
        * @return A pointer to the created document object.
        */
        CApaDocument* CreateDocumentL();

	virtual TFileName ResourceFileName() const { return KNullDesC(); }
    };

#endif // __COVERFLOWAPPLICATION_H__

// End of File

