// engine.h
//
/*
 * Copyright (c) 2005-2006 Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 * This component and the accompanying materials are made available
 * under the terms of "Eclipse Public License v1.0"
 * which accompanies this distribution, and is available
 * at the URL "http://www.eclipse.org/legal/epl-v10.html".
 */
//
/**
@file
Contains the definition of the MEngine class.
*/
#ifndef __ENGINE_H__
#define __ENGINE_H__

/**
The abstract class that represents the engine of the example.
*/
class MEngine
	{
public:

	virtual void ActivateL() = 0;
	virtual void Deactivate() = 0;
	virtual void Step()= 0 ;
	virtual TBool IsPending() = 0;
	virtual TInt GetSpeed() = 0;

	virtual TKeyResponse HandleKeyEventL(const TKeyEvent& aKeyEvent) = 0;
	};

#endif
